import Vue from "vue";
import RecoChatItem from "./complex/RecoChatItem";
import RecoChatMessage from "./complex/RecoChatMessage";
import RecoChatMessageComposer from "./complex/RecoChatMessageComposer";
import RecoLazyLoadingList from "./complex/RecoLazyLoadingList";
import RecoMenu from "./complex/RecoMenu";
import RecoModal from "./complex/RecoModal";
import RecoPlaceholder from "./atomic/RecoPlaceholder";
import RecoPost from "./complex/RecoPost";
import RecoTopBar from "./complex/RecoTopBar";
import RecoImg from "./atomic/RecoImg";
import RecoInput from "./atomic/RecoInput";
import RecoMenuItem from "./atomic/RecoMenuItem";
import RecoRadio from "./atomic/RecoRadio";
import RecoPostComposer from "./complex/RecoPostComposer";
import RecoForumPostComposer from "./complex/RecoForumPostComposer";
import RecoSelectAudience from "./complex/RecoSelectAudience";
import RecoSelectExpiration from "./complex/RecoSelectExpiration";
import RecoSelectResponseType from "./complex/RecoSelectResponseType";
import RecoTagSelect from "./atomic/RecoTagSelect";
import RecoLocationSelect from "./complex/RecoSelectLocation";
import RecoLanguageSelector from "./complex/RecoLanguageSelector";
import RecoPostFilters from "./complex/RecoPostFilters";
import RecoForumPostFilters from "./complex/RecoForumPostFilters";
import RecoProfileModal from "./complex/RecoProfileModal";
import RecoSelect from "./atomic/RecoSelect";
import RecoUserSearch from "./complex/RecoUserSearch";
import RecoDocumentConsent from "./complex/RecoDocumentConsent";
import RecoCreditChargeModal from "./complex/RecoCreditChargeModal";
import RecoIntroduction from "./complex/RecoIntroduction";
import RecoAnnouncement from "./complex/RecoAnnouncement";
import RecoTextEditor from "./complex/RecoTextEditor";
import RecoFeedback from "./complex/RecoFeedback";
import RecoImageCrop from "./complex/RecoImageCrop";
import RecoRapidPost from "./complex/RecoRapidPost"

const Components = {
	RecoChatItem,
	RecoChatMessage,
	RecoChatMessageComposer,
	RecoLazyLoadingList,
	RecoMenu,
	RecoModal,
	RecoPlaceholder,
	RecoPost,
	RecoTopBar,
	RecoImg,
	RecoInput,
	RecoRadio,
	RecoMenuItem,
  	RecoPostComposer,
  	RecoForumPostComposer,
	RecoSelectAudience,
	RecoSelectExpiration,
	RecoSelectResponseType,
	RecoTagSelect,
	RecoLocationSelect,
  	RecoPostFilters,
  	RecoForumPostFilters,
	RecoSelect,
	RecoProfileModal,
	RecoLanguageSelector,
	RecoUserSearch,
	RecoDocumentConsent,
	RecoCreditChargeModal,
	RecoIntroduction,
	RecoAnnouncement,
	RecoTextEditor,
	RecoFeedback,
	RecoImageCrop,
	RecoRapidPost
};

Object.keys(Components).forEach(name => {
	Vue.component(name, Components[name]);
});

export default Components;
