import Vue from 'vue';
import Router from 'vue-router';
import Home from './views/Home.vue';

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      name: 'home',
      component: Home,
    },  
    {
      path: '/input',
      name: 'input',
      component: () => import('./views/Input.vue'),
    },
    
    {
      path: '/modal',
      name: 'modal',
      component: () => import('./views/Modal.vue'),
    },
    {
      path: '/placeholder',
      name: 'placeholder',
      component: () => import('./views/Placeholder.vue'),
    },
    {
      path: '/posts',
      name: 'posts',
      component: () => import('./views/Posts.vue'),
    },
    {
      path: '/chat_list',
      name: 'chat_list',
      component: () => import('./views/ChatList.vue'),
    },
    {
      path: '/chat',
      name: 'chat',
      component: () => import('./views/Chat.vue'),
    },
    {
      path: '/forum',
      name: 'forum',
      component: () => import('./views/Forum.vue'),
    },
    {
      path: '/post_composer',
      name: 'post_composer',
      component: () => import('./views/PostComposer.vue'),
    },
    {
      path: '/profile',
      name: 'profile',
      component: () => import('./views/Profile.vue'),
    },
    {
      path: '/signup-profile',
      name: 'signupprofile',
      component: () => import('./views/SignUpProfile.vue'),
    },
    {
      path: '/post_filters',
      name: 'post_filters',
      component: () => import('./views/PostFilters.vue'),
    },
    {
      path: '/language_selector',
      name: 'language_selector',
      component: () => import('./views/LanguageSelector.vue'),
    },
    {
      path: '/document_consent',
      name: 'document_consent',
      component: () => import('./views/DocumentConsent.vue'),
    },
    {
      path: '/user_search',
      name: 'user_search',
      component: () => import('./views/UserSearch.vue'),
    },
    {
      path: '/confirm_credit_charge',
      name: 'confirm_credit_charge',
      component: () => import('./views/ConfirmCreditCharge.vue'),
    },
  ],
});
